# Create a menu bar using the new and old Tk methods.
# Rick Smereka, Copyright (C) 2004-2005.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, get a copy via the Internet at
# http://gnu.org/copyleft/gpl.html or write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA

# You can contact the author via email at rsmereka@future-lab.com

# Initial tcl version. Feb/2004, Rick Smereka
# This version based on code in the book 'Graphical Applications with
# Tcl & Tk' second edition by Eric Foster-Johnson.
#
proc createmenubar {toplevel menubar} {
   # Create a base menubar based on Tcl version. The variable
   # 'toplevel' is usually '.'. Returns nothing.
   global tk_version

   if {$tk_version >= 8.0} {
      menu $menubar -type menubar
      $toplevel configure -menu $menubar
   } else {
      # old method
      frame $menubar -borderwidth 1 -relief raised
      pack $menubar -side top -fill x -expand true
   }
}
